import { StyleSheet } from "react-native";
import { commonStyles } from "../../../../styles/commonStyle";
import {
  appColors,
  fontSizes,
  windowHeight,
  windowWidth,
  appFonts,
} from "@src/themes";

const styles = StyleSheet.create({
  container: {
    ...commonStyles.flexContainer,
  },
  headerContainer: {
    height: windowHeight(60),
    justifyContent: "center",
  },
  tagContainer: {
    marginHorizontal: windowWidth(18),
    marginTop: windowHeight(13),
  },
  label: {
    fontFamily: appFonts.bold,
  },
  subLabelContainer: {
    flexWrap: "wrap",
  },
  labelName: {
    color: appColors.blackColor,
    fontFamily: appFonts.regular,
    marginRight: windowWidth(12),
    paddingHorizontal: windowWidth(18),
    paddingVertical: windowHeight(5),
    backgroundColor: appColors.lightGray,
    borderRadius: windowHeight(35),
    marginTop: windowHeight(8),
  },
  detailsContainer: {
    margin: windowHeight(15),
  },
  detailsComonent: {
    height: "85%",
    width: "100%",
    borderRadius: windowHeight(15),
    overflow: "hidden",
    marginTop: windowHeight(15),
  },
  titleContainer: {
    width: "100%",
    padding: windowWidth(18),
  },
  titleBg: {
    color: appColors.primary,
    backgroundColor: appColors.whiteColor,
    maxWidth: windowHeight(100),
    height: windowHeight(32),
    borderRadius: windowHeight(39),
    fontFamily: appFonts.medium,
    alignItems: "center",
    justifyContent: "center",
    borderWidth: windowWidth(2),
    borderColor: appColors.lightGray,
  },
  title: {
    color: appColors.primaryText,
    fontFamily: appFonts.bold,
    fontSize: fontSizes.FONT24,
    marginTop: windowHeight(10),
  },
  imageContainer: {
    width: "30%",
  },
  discountImage: {
    height: windowHeight(70),
    width: windowHeight(70),
  },
  discription: {
    color: appColors.regularText,
    marginHorizontal: windowWidth(18),
    fontFamily: appFonts.medium,
    marginTop: windowHeight(5),
  },
  dateContainer: {
    marginHorizontal: windowWidth(18),
    textAlign: "left",
    marginTop: windowHeight(16),
  },
  date: {
    color: appColors.regularText,
    marginTop: windowHeight(5),
  },
  copyBtn: {
    position: "absolute",
    bottom: windowHeight(1),
    left: windowWidth(18),
    right: windowWidth(18),
    alignItems: "center",
    justifyContent: "center",
    backgroundColor: appColors.blackColor,
    height: windowHeight(40),
    borderRadius: windowWidth(35),
  },
  btnText: {
    color: appColors.whiteColor,
    marginHorizontal: windowWidth(10),
    fontFamily: appFonts.bold,
  },
  line: {
    height: windowHeight(4.5),
    width: "100%",
    backgroundColor: appColors.primaryGray,
    marginTop: windowHeight(15),
  },
});
export { styles };
